'GOTO noprompts

GOTO main

title:
CLS
SCREEN 8
 COLOR 1, 1

LOCATE 2, 20
COLOR 12
PRINT "GPR  Test  Program"
LINE (150, 17)-(300, 19), , B

LOCATE 3, 2

LINE (1, 165)-(638, 166), 12, BF
RETURN

main:
GOSUB title
GOSUB comp
GOSUB gpr
LOCATE 5, 5
COLOR 11
PRINT "Connect with RS 232 lead"
GOSUB space
GOSUB title
GOSUB comp
GOSUB siggen
LOCATE 5, 5
COLOR 11
PRINT "Connect with GP-IB lead"
LOCATE 6, 5
PRINT "Set Signal generator to address 3"
GOSUB space
GOSUB title
GOSUB comp
GOSUB atts
LOCATE 5, 5
COLOR 11
PRINT "Connect with GP-IB lead"
GOSUB space
GOSUB title
GOSUB comp
GOSUB siggen
GOSUB atts
LOCATE 5, 5
COLOR 11
PRINT "Connect with N type cables to POWER METER"
GOSUB space

noprompts:
CHAIN "c:\qb\gpr\power"



END
space:
LOCATE 23, 15
COLOR 10
PRINT "Press SPACE to continue"
  BEEP
'  BEEP
'  BEEP

k$ = "x"
DO
k$ = INKEY$
LOOP UNTIL k$ = " "
LOCATE 23, 15
PRINT "                                      "

RETURN


siggen:
COLOR 13
LOCATE 15, 6
PRINT "Signal Generator"

LINE (5, 158)-(200, 120), 10, B
LINE (20, 125)-(170, 130), 7, BF
CIRCLE (180, 140), 7, 7
CIRCLE (35, 140), 15, 7
RETURN

atts:
LOCATE 16, 36
COLOR 13
PRINT "Attenuators"

LINE (275, 130)-(400, 158), 10, B
LINE (300, 135)-(375, 140), 7, BF
CIRCLE (290, 150), 7, 7
CIRCLE (380, 150), 7, 7
RETURN

comp:
LINE (450, 158)-(600, 140), 10, B
LINE (450, 138)-(600, 100), 10, B
LINE (470, 130)-(570, 105), 7, BF
LOCATE 12, 60
COLOR 13
PRINT "Computer"
RETURN

gpr:
LOCATE 16, 36
COLOR 13
PRINT "GPR"

LINE (275, 158)-(400, 130), 10, B
LINE (310, 138)-(360, 148), 7, BF
CIRCLE (380, 140), 10, 7
CIRCLE (370, 150), 3, 7
CIRCLE (390, 150), 3, 7
CIRCLE (285, 135), 3, 7
CIRCLE (285, 140), 3, 7
CIRCLE (285, 145), 3, 7
CIRCLE (285, 150), 3, 7

RETURN



